//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.16 at 09:58:40 AM CEST 
//


package net.ihe.gazelle.tempmodel.distinguisher;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="elementDiscriber" type="{}ElementDiscriber" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "elementDiscriber"
})
@XmlRootElement(name = "CDAElementsDistinguisher")
public class CDAElementsDistinguisher {

    @XmlElement(required = true)
    private List<ElementDiscriber> elementDiscriber;

    /**
     * Gets the value of the elementDiscriber property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the elementDiscriber property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getElementDiscriber().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ElementDiscriber }
     * @return object {@link ElementDiscriber }
     * 
     */
    public List<ElementDiscriber> getElementDiscriber() {
        if (elementDiscriber == null) {
            elementDiscriber = new ArrayList<>();
        }
        return this.elementDiscriber;
    }

}
